edu.sc.seis.sod

## Class Version

- java.lang.Object
- - edu.sc.seis.sod.Version

-     public class Version
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Version[]` | `versionsToDate`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `Version()` for hibernate
    `` | `Version(java.lang.String version, boolean schemaChange)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Version` | `current()`
    `static java.lang.String` | `getCVSVersion()`
    `int` | `getDbid()`
    `java.lang.String` | `getVersion()`
    `static java.lang.String` | `getVersionDate()`
    `static boolean` | `hasSchemaChangedSince(java.lang.String version)`
    `boolean` | `isSchemaChange()`
    `void` | `setDbid(int dbid)`
    `protected void` | `setSchemaChange(boolean schemaChange)`
    `protected void` | `setVersion(java.lang.String version)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### versionsToDate

          public static Version[] versionsToDate

  - ### Constructor Detail

    - #### Version

          protected Version()

      for hibernate

    - #### Version

          public Version(java.lang.String version,
                         boolean schemaChange)

  - ### Method Detail

    - #### getVersion

          public java.lang.String getVersion()

    - #### setVersion

          protected void setVersion(java.lang.String version)

    - #### isSchemaChange

          public boolean isSchemaChange()

    - #### setSchemaChange

          protected void setSchemaChange(boolean schemaChange)

    - #### getDbid

          public int getDbid()

    - #### setDbid

          public void setDbid(int dbid)

    - #### current

          public static Version current()

    - #### hasSchemaChangedSince

          public static boolean hasSchemaChangedSince(java.lang.String version)

    - #### getVersionDate

          public static java.lang.String getVersionDate()

    - #### getCVSVersion

          public static java.lang.String getCVSVersion()